Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05306 Crash/Freeze Critical (emulation) Always Sep 21, 2013, 23:23 Nov 17, 2014, 21:03
Tester scoobydude51 View Status Public Platform MAME (Official Binary)
Assigned To mariuszw Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver asteroid.cpp
Version 0.150 Fixed in Version 0.156 Build Normal
Summary 05306: llander, llander1: Changing the Language on the Dip Switch screen freezes/crashes the game
Description when I change the language to the game, It freezes/crashes the game. it seems like English is the only dip switch option works.

the French, Spanish and German option breaks the game
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems llander, llander1
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.09820
Tafoid
Administrator
Sep 22, 2013, 01:53
edited on: Sep 22, 2013, 01:53
This is expected. The missing ROMS/CHD message shows that the language ROM (034597-01.m3) has not been dumped, so trying to select alternative Language with an empty rom region is sufficient to freeze the game. It's not something to warrant the game not working, it's just a missing rom.

I'm resolving this now as it's behavior cannot be changed unless the rom shows up and it's not a regression or a bug (original hardware would do the same thing). The status of this might change if more information comes to light.
User avatar
No.09844
NekoEd
Senior Tester
Sep 26, 2013, 17:51
I'm changing this to Acknowledged/Suspended pending possible appearance of the missing ROM.

(I didn't like "Not Fixable" since it theoretically is, so I feel suspending it is a better option.)